Subject: Re: Reporting bugs and bisection (was: Re: 2.6.25-rc8: FTP transfer errors)

From: Andrew Morton <[email-masked]>
Date: Sun, 13 Apr 2008 12:18:31 -0700

On Sun, 13 Apr 2008 20:47:30 +0200 Willy Tarreau <[email-masked]> wrote:

>  One other thing which might get confusing/frustrating on the
> user side is that currently, Linux is the *only* product which requires
> the bug reporter to find the fault change

That's because many (probably most) Linux bugs are dependent upon the
hardware which they run on, and developers cannot reproduce the failure on
their hardware.  Other software products don't have that problem.

That being said..  four or five years ago, developers would often work
closely with the reporter working out why the reporter's failure was
occurring.  Several days of back-and-forth.

We dont' do that as much nowadays - there's a tendency to

a) throw the problem back at the reporter, often asking them to bisect. 
   If the reporter is running a distro kernel (eg: Fedora) then that's
   quite hard, and often isn't a think they have knowledge to do.  So
   they'll just disappear.  Or

b) just ignore the report altogether.